RHEL 6 / 7 : eap7-jboss-ec2-eap (RHSA-2017:3458)

critical Nessus Plugin ID 105252

Synopsis

The remote Red Hat host is missing one or more security updates for eap7-jboss-ec2-eap.

Description

The remote Redhat Enterprise Linux 6 / 7 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2017:3458 advisory.

- Apache ActiveMQ Artemis: Deserialization of untrusted input vulnerability (CVE-2016-4978)

- eap: HTTP header injection / response splitting (CVE-2016-4993)

- EAP7 Privilege escalation when managing domain including earlier version slaves (CVE-2016-5406)

- EAP7: Internal IP address disclosed on redirect when request header Host field is not set (CVE-2016-6311)

- undertow: Long URL proxy request lead to java.nio.BufferOverflowException and DoS (CVE-2016-7046)

- EAP: Sensitive data can be exposed at the server level in domain mode (CVE-2016-7061)

- admin-cli: Potential EAP resource starvation DOS attack via GET requests for server log files (CVE-2016-8627)

- jboss: jbossas: unsafe chown of server.log in jboss init script allows privilege escalation (CVE-2016-8656)

- wildfly: ParseState headerValuesCache can be exploited to fill heap with garbage (CVE-2016-9589)

- wildfly: Arbitrary file read via path traversal (CVE-2017-2595)

- undertow: HTTP Request smuggling vulnerability due to permitting invalid characters in HTTP requests (CVE-2017-2666)

- undertow: IO thread DoS via unclean Websocket closing (CVE-2017-2670)

- jackson-databind: Deserialization vulnerability via readValue method of ObjectMapper (CVE-2017-7525)

- hibernate-validator: Privilege escalation when running under the security manager (CVE-2017-7536)

- undertow: HTTP Request smuggling vulnerability (incomplete fix of CVE-2017-2666) (CVE-2017-7559)

- undertow: improper whitespace parsing leading to potential HTTP request smuggling (CVE-2017-12165)

- EAP-7: Wrong privileges on multiple property files (CVE-2017-12167)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the RHEL eap7-jboss-ec2-eap package based on the guidance in RHSA-2017:3458.

See Also

http://www.nessus.org/u?02aa354e

http://www.nessus.org/u?e41b214b

https://access.redhat.com/errata/RHSA-2017:3458

https://access.redhat.com/security/updates/classification/#important

https://bugzilla.redhat.com/show_bug.cgi?id=1344321

https://bugzilla.redhat.com/show_bug.cgi?id=1359014

https://bugzilla.redhat.com/show_bug.cgi?id=1362735

https://bugzilla.redhat.com/show_bug.cgi?id=1376646

https://bugzilla.redhat.com/show_bug.cgi?id=1379207

https://bugzilla.redhat.com/show_bug.cgi?id=1380852

https://bugzilla.redhat.com/show_bug.cgi?id=1388240

https://bugzilla.redhat.com/show_bug.cgi?id=1400344

https://bugzilla.redhat.com/show_bug.cgi?id=1404782

https://bugzilla.redhat.com/show_bug.cgi?id=1413028

https://bugzilla.redhat.com/show_bug.cgi?id=1436163

https://bugzilla.redhat.com/show_bug.cgi?id=1438885

https://bugzilla.redhat.com/show_bug.cgi?id=1462702

https://bugzilla.redhat.com/show_bug.cgi?id=1465573

https://bugzilla.redhat.com/show_bug.cgi?id=1481665

https://bugzilla.redhat.com/show_bug.cgi?id=1490301

https://bugzilla.redhat.com/show_bug.cgi?id=1491612

https://issues.redhat.com/browse/JBEAP-5324

Plugin Details

Severity: Critical

ID: 105252

File Name: redhat-RHSA-2017-3458.nasl

Version: 3.12

Type: local

Agent: unix

Published: 12/14/2017

Updated: 4/27/2024

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent, Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2017-7525

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:eap7-jboss-ec2-eap, p-cpe:/a:redhat:enterprise_linux:eap7-jboss-ec2-eap-samples, cpe:/o:redhat:enterprise_linux:6, cpe:/o:redhat:enterprise_linux:7

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 12/13/2017

Vulnerability Publication Date: 9/26/2016

Reference Information

CVE: CVE-2016-4978, CVE-2016-4993, CVE-2016-5406, CVE-2016-6311, CVE-2016-7046, CVE-2016-7061, CVE-2016-8627, CVE-2016-8656, CVE-2016-9589, CVE-2017-12165, CVE-2017-12167, CVE-2017-2595, CVE-2017-2666, CVE-2017-2670, CVE-2017-7525, CVE-2017-7536, CVE-2017-7559

CWE: 113, 119, 20, 200, 22, 284, 400, 444, 732, 835

RHSA: 2017:3458